Subject: bug#32479: Fix tracking of freed emacs_values with enabled --module-assertions

From: Noam Postavsky <[email-masked]>
Date: Sat, 25 Aug 2018 19:03:02 -0400

tags 32479 fixed
close 32479 26.2
quit

Sergey Vinokurov <[email-masked]> writes:

> I was developing a dynamic module when I noticed that when
> '--module-assertions' are enabled I got strange complaints regarding
> value to be freed. Namely, Emacs was producing an error message like the
> following one:
>
>     Emacs module assertion: Global value was not found in list of 10 globals
>
> I tracked it down to a bug in module_free_global_ref. It's traversal of
> the linked list of all allocated global values was flawed and only
> considered the head of the list. Please find attached my attempt at
> fixing it and a test in Emacs test suite that reproduces the issue.

Thanks, pushed to emacs-26.

P.S. Don't forget to end sentences with a period in the body of the
commit message.

[1: 54fb383af6]: 2018-08-25 18:57:56 -0400
  Fix detection of freed emacs_values (Bug#32479)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=54fb383af6f6af7b72c28f38b308d9b24d2af4f6